<?php
/**
 * Service CPT Archive Page
 * 
 * @package Lawyer_Landing_Page_Pro
 */

get_header(); ?>
	
<div class="inner-page services-page">
	<div class="container">
			
            <?php 
            
            $args = array(
                'post_type'      => 'service',
                'posts_per_page' => -1,
                'post_status'    => 'publish'
            );
            
            $qry = new WP_Query( $args );
            
                if ( $qry->have_posts() ) : ?>
                <div class="services-holder">
        			<div class="row">
            			<?php
            			/* Start the Loop */
            			while ( $qry->have_posts() ) : $qry->the_post();
            
            				/*
            				 * Include the Post-Format-specific template for the content.
            				 * If you want to override this in a child theme, then include a file
            				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
            				 */
            				get_template_part( 'template-parts/content', 'service' );
            
            			endwhile; ?>
                    </div><!-- .row -->        
                </div><!-- .services-holder -->
                <?php
                wp_reset_postdata();
    		else :
    
    			get_template_part( 'template-parts/content', 'none' );
    
    		endif; ?>
				
			
		
	</div><!-- .container -->
</div><!-- .services-page -->
    
<?php
get_footer();
