<?php
/**
 * Front Page
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Lawyer_Landing_Page_Pro
 */

get_header(); 

$home_sections = get_theme_mod( 'sort_home_section', array( 'banner','about', 'practice', 'why', 'service', 'stat', 'portfolio', 'testimonial', 'promotional', 'team', 'faq', 'blog', 'client', 'contact' ) );

    if ( 'posts' == get_option( 'show_on_front' ) ) { //Show Static Blog Page
        include( get_home_template() );
        get_sidebar();
    }elseif( $home_sections ){ 
        
        //If any one section are enabled then show custom home page.
        foreach( $home_sections as $section ){
            get_template_part( 'sections/home/' . esc_attr( $section ) );  
        }
        
    }else {
        //If all section are disabled then show respective page template. 
        include( get_page_template() );
        get_sidebar();
    }

get_footer();