<?php
/**
 * About Page Theme Option.
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_about( $wp_customize ) {
    
    /** About Page Settings */
    $wp_customize->add_panel( 
        'about_page_settings',
         array(
            'priority'    => 35,
            'capability'  => 'edit_theme_options',
            'title'       => __( 'About Page Settings', 'lawyer-landing-page-pro' ),
            'description' => __( 'Customize About Page Sections', 'lawyer-landing-page-pro' ),
        ) 
    );

}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_about' );