<?php
/**
 * Header Theme Option.
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_header( $wp_customize ) {

    $wp_customize->add_panel( 'header_setting', array(
        'title'      => __( 'Header Settings', 'lawyer-landing-page-pro' ),
        'priority'   => 20,
        'capability' => 'edit_theme_options',
    ) );
    
    $wp_customize->get_section( 'title_tagline' )->panel = 'header_setting';
    
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_header' );