<?php
/**
 * Home Page Theme Option.
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_home( $wp_customize ) {
    
    /** Home Page Settings */
    $wp_customize->add_panel( 
        'home_page_settings',
         array(
            'priority'    => 30,
            'capability'  => 'edit_theme_options',
            'title'       => __( 'Home Page Settings', 'lawyer-landing-page-pro' ),
            'description' => __( 'Customize Home Page Sections', 'lawyer-landing-page-pro' ),
        ) 
    );

}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_home' );