jQuery(document).ready( function($){
    var slider_auto, slider_loop, slider_drag, rtl, mrtl;
    // MeanMenu (responsive menu)
    $('#site-navigation').meanmenu({
        meanScreenWidth: "991",
        meanRevealPosition: "center"
    });
    
    /** Variables from Customizer for Slider settings */
    if( lawyer_landing_page_pro_data.auto == '1' ){
        slider_auto = true;
    }else{
        slider_auto = false;
    }
    
    if( lawyer_landing_page_pro_data.loop == '1' ){
        slider_loop = true;
    }else{
        slider_loop = false;
    }
    
    if( lawyer_landing_page_pro_data.drag == '1' ){
        slider_drag = true;
    }else{
        slider_drag = false;
    }
    
    if( lawyer_landing_page_pro_data.rtl == '1' ){
        rtl = true;
        mrtl = false;
    }else{
        rtl = false;
        mrtl = true;
    }
    
    if( $('.home').length > 0 ){
        //Banner Slider        
        $(".banner-slider").owlCarousel({
            items       : 1,
            animateOut  : lawyer_landing_page_pro_data.animation,
            loop        : slider_loop,
            autoplay    : slider_auto,
            nav         : false,
            mouseDrag   : slider_drag,
            lazyLoad    : true,
            rtl         : rtl
        });
    
        // The slider being synced must be initialized first
        $(".testimonial-slider").owlCarousel({
            margin     : 30,
            nav        : true,
            dots       : false,
            mouseDrag  : false,
            rtl        : rtl,
            responsive :{
                0:{
                    items:1
                },
                768:{
                    items:3
                },
                992:{
                    items:4
                }
            }
        });
    
        /* Masonry for faq */
        $('.rara-masonry').imagesLoaded(function(){ 
            $('.rara-masonry').masonry({
                itemSelector: '.col',
                isOriginLeft: mrtl
            }); 
        });
    }

    // custom scrollbar
    $(window).on("load",function(){
        $(".practice-area .box .text-holder").mCustomScrollbar({
            autoHideScrollbar:true,
            theme:"dark-thin",
            scrollbarPosition:"outside"
        });

        $(".why-us .box .text-holder").mCustomScrollbar({
            autoHideScrollbar:true,
            theme:"dark-thin",
            scrollbarPosition:"outside"
        });

        $(".team .col .img-holder .text-holder").mCustomScrollbar({
            autoHideScrollbar:true,
            theme:"dark-thin"
        });
    });
    
    /** Lightbox */
    if( lawyer_landing_page_pro_data.lightbox == '1' ){
        
        $('.entry-content').find('.gallery-columns-1').find('.gallery-icon > a').attr( 'rel', 'group1' );
        $('.entry-content').find('.gallery-columns-2').find('.gallery-icon > a').attr( 'rel', 'group2' );
        $('.entry-content').find('.gallery-columns-3').find('.gallery-icon > a').attr( 'rel', 'group3' );
        $('.entry-content').find('.gallery-columns-4').find('.gallery-icon > a').attr( 'rel', 'group4' );
        $('.entry-content').find('.gallery-columns-5').find('.gallery-icon > a').attr( 'rel', 'group5' );
        $('.entry-content').find('.gallery-columns-6').find('.gallery-icon > a').attr( 'rel', 'group6' );
        $('.entry-content').find('.gallery-columns-7').find('.gallery-icon > a').attr( 'rel', 'group7' );
        $('.entry-content').find('.gallery-columns-8').find('.gallery-icon > a').attr( 'rel', 'group8' );
        $('.entry-content').find('.gallery-columns-9').find('.gallery-icon > a').attr( 'rel', 'group9' );
        
        $("a[href$='.jpg'],a[href$='.jpeg'],a[href$='.png'],a[href$='.gif']").fancybox();
        
    }
    
    // Script for back to top
    $(window).scroll(function(){
        if($(this).scrollTop() > 300){
          $('#rara-top').fadeIn();
        }else{
          $('#rara-top').fadeOut();
        }
    });
        
    $("#rara-top").click(function(){
        $('html,body').animate({scrollTop:0},600);
    });
    
    /* Portfolio Isotope Filter */
    if( $('.post-type-archive-portfolio').length > 0 || $('.home').length > 0 ){
        // init Isotope
        var $grid = $('.grid').imagesLoaded( function(){  
        
            $grid.isotope({
              // options
            });
            
            // filter items on button click
            $('.filter-button-group').on( 'click', 'button', function() {
              $('.filter-button-group button').removeClass('is-checked');
              $(this).addClass('is-checked');
              var filterValue = $(this).attr('data-filter');
              $grid.isotope({ filter: filterValue });
            });
        
        });
    }
    
    /** Client Logo Slider */
    if( ( $('.page-template-template-about').length >0 ) || ( $('.home').length > 0 ) ){
        $('#clients-holder').owlCarousel({
            loop       : false,
            margin     : 30,
            nav        : true,
            dots       : false,
            rtl        : rtl,
            responsive :{
                0:{
                    items: 1,
                },
                768:{
                    items: 3,
                },
                992:{
                    items: 5,
                }
            }
            
        });
    }

    // match height
    $('.services-section .col').matchHeight();
    $('.team .col').matchHeight();
    $('.team-page .col').matchHeight();
    $('.about-page .practice-areas .box').matchHeight();
    $('#primary .similar-posts .post').matchHeight();
    $('.sc-panel .widget_rttk_pro_stat_counter_widget .col').matchHeight();
    $('.about-page .ll-services .widget_rttk_pro_icon_text_widget .rttk-itw-holder').matchHeight();
    $('.services-page .col').matchHeight();
           
    /** One page Scroll */
    $('#site-navigation').onePageNav({
        currentClass: 'current-menu-item',
        changeHash: false,
        scrollSpeed: 1500,
        scrollThreshold: 0.5,
        filter: '',
        easing: 'swing',        
    });
    
    /** Fitvids */        
    $('#content').fitVids();
    
    /** Header Search form show/hide */
    $('html').click(function() {
        $('.site-header .form-holder').slideUp();
    });

    $('.site-header .form-section').click(function(event) {
        event.stopPropagation();
    });
    $("#search-btn").click(function() {
        $(".site-header .form-holder").slideToggle();
        return false;
    });
    
    /** Header */
    var header_layout = lawyer_landing_page_pro_data.hlayout;
    
    if( header_layout == 'four' || header_layout == 'six' || header_layout == 'seven' ){
        hdr = $('.site-header').outerHeight();        
        $('.banner').css('padding-top', hdr+48 );
    }
    
    /** Sticky Header */
    var windowWidth = $(window).width();
    if( lawyer_landing_page_pro_data.sticky == '1' && windowWidth >= 992 ){
        
        if( header_layout == 'six' ){
            $('.sticky-holder').height( $('.site-header').outerHeight() );
            $(window).scroll(function() {
                if( $(this).scrollTop() > 1 ) {
                    $('.site-header').addClass('bg');
                }else{
                    $('.site-header').removeClass('bg');
                }
            });
        }else{
        
            var mns = "sticky-menu";
            holder = ( header_layout == 'one' ) ? $('.header-t') : $('.header-holder');
            navhol = $('.header-b');
            
            hdr = holder.outerHeight();
            nav = navhol.outerHeight();
            
            mn = $(".header-b");
            
            $(window).scroll(function() {
                if( $(this).scrollTop() > hdr ) {
                    mn.addClass(mns);
                    $('.sticky-holder').height(nav);
                        } else {
                    mn.removeClass(mns);
                    $('.sticky-holder').height(0);
                }
            });
        }
    }
    
    /** Icon text widget header position by anup */
    var widgetHeaderHeight = $('.widget_rttk_pro_icon_text_widget .widget-title').outerHeight();
    $('.widget_rttk_pro_icon_text_widget .rttk-itw-holder').css('padding-top', widgetHeaderHeight + 30);
    
    
    /** Ajax cal for testimonial slider in home page */
    $('.testimonial-slider .testimonial-slide').click(function(){
       var id = $(this).attr('id').split('-').pop();
       
       $('.testimonial-slider .testimonial-slide').removeClass('testimonial-active');
       $(this).addClass('testimonial-active');
       
       if (typeof lawyer_landing_page_pro_data !== 'undefined') {
           //Ajax Call
           $.ajax({
        		url: lawyer_landing_page_pro_data.url, 
        		data: {  'action' : 'lawyer_landing_page_pro_testimonial', 'post_id' : id },
        		beforeSend: function() {
                    $('.testimonial-content').addClass('loading');
        		},
        		success: function(data) {
        			$('.testimonial-content').html(data);
        		}
          }).done(function() {
                $('.testimonial-content').removeClass('loading');
          });
      }  
    });

    // responsive secondary nav
    $('#responsive-menu-button').sidr({
        name: 'sidr-main',
        source: '.secondary-nav',
        side: 'right',
    });    
});