<?php  
/**
 * Client Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */

$title   = get_theme_mod( 'client_section_title', __( 'Our Clients', 'lawyer-landing-page-pro' ) );
$content = get_theme_mod( 'client_section_desc', __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur tristique vitae magna eget elementum. Cras sed mattis enim. Duis non finibus mauris, id auctor arcu.', 'lawyer-landing-page-pro' ) );
$cat     = get_theme_mod( 'about_logo_cat' );

if( $title || $content || $cat ){
?>

<div id="about_client_section" class="clients">
	<div class="container">		
        <?php
            if( $title || $content ){
                echo '<header class="header">'; 
                if( $title ) echo '<h2 class="title">' . lawyer_landing_page_pro_get_title( $title ) . '</h2>';            
                if( $content ) echo wpautop( wp_kses_post( $content ) );
                echo '</header>';
            }
            
            if( is_rara_toolkit_activated() && $cat ) lawyer_landing_page_pro_get_clients( $cat ); 
        ?>
	</div>
</div>

<?php
}