<?php  
/**
 * Service Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */

$title   = get_theme_mod( 'service_section_title', __( 'Community Services', 'lawyer-landing-page-pro' ) );
$content = get_theme_mod( 'service_section_desc', __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur tristique vitae magna eget elementum. Cras sed mattis enim. Duis non finibus mauris, id auctor arcu.', 'lawyer-landing-page-pro' ) );

if( $title || $content || is_active_sidebar( 'about-icontext' ) ){ ?>

<div id="about_service_section" class="ll-services">
	<div class="container">
		<?php 
            if( $title || $content ){
                echo '<header class="header">';
                if( $title ) echo '<h2 class="title">' . lawyer_landing_page_pro_get_title( $title ) . '</h2>';
                if( $content ) echo wpautop( wp_kses_post( $content ) );
                echo '</header>';
            }
            
            if( is_active_sidebar( 'about-icontext' ) ){ ?>
                <div class="row">
                <?php dynamic_sidebar( 'about-icontext' ); ?>
                </div>        
            <?php
            }
        ?>
	</div>
</div>

<?php
}