<?php  
/**
 * Stat Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */

$bg_image = get_theme_mod( 'about_stat_counter_bg_image', get_template_directory_uri() . '/images/demo/back.jpg' );
$bg_color = get_theme_mod( 'about_stat_counter_color', '#a2d1ed' );

if( $bg_image ){
    $bg = 'style="background-image:url(' . esc_url( $bg_image ) . ')"';
}else{
    $bg = 'style="background:' . sanitize_hex_color( $bg_color ) . '"';
}

if( is_rara_toolkit_activated() && is_active_sidebar( 'about-counter' ) ){
?>

<div id="about_stat_section" class="sc-panel" <?php echo $bg; ?>>
	<div class="container">
		<div class="row">
			<?php dynamic_sidebar( 'about-counter' );?>
		</div>
	</div>
</div>
<?php } ?>