<?php
/**
 * Template Name: About Page
 *
 * @package Lawyer_Landing_Page_Pro
 */

get_header(); 

while ( have_posts() ) : the_post();

$about_sections = get_theme_mod( 'sort_about_section', array( 'intro', 'stat', 'service', 'practice', 'video', 'client' ) );

if( $about_sections ){ ?>

    <div class="inner-page about-page">				
		<?php 
            foreach( $about_sections as $about ){                
                get_template_part( 'sections/about/' . esc_attr( $about ) );    
            }
        ?>		
	</div><!-- .about-page -->
    
<?php
}

endwhile;

get_footer();