<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Lawyer_Landing_Page_Pro
 */

get_header(); ?>

<div class="inner-page faq-page">
	<div class="container">
        <?php 
        if ( have_posts() ) : ?>
			
			<?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', 'faq' );

			endwhile;
            
            lawyer_landing_page_pro_pagination(); //Pagination
            
		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>
		
	</div><!-- .container -->
</div><!-- .inner-page .faq-page -->

<?php
get_footer();