<?php
/**
 * Header Three
 * 
 * @package Lawyer_Landing_Page_Pro
*/

?>

<header class="site-header header-8" itemscope itemtype="http://schema.org/WPHeader">
	<div class="header-holder">
		<?php if( has_nav_menu( 'secondary' ) || is_active_sidebar( 'header-social' ) ){ ?>
        <div class="header-top-bar">
			<div class="container">
				<?php 
                    lawyer_landing_page_pro_secondary_nav();
                    lawyer_landing_page_pro_header_social(); 
                ?>
			</div>
		</div>
        <?php } ?>
		<div class="header-t">
			<div class="container">
				<?php lawyer_landing_page_pro_site_branding(); ?>
				<div class="right">
					<?php
                        lawyer_landing_page_pro_header_phone( 'eight' );
                        lawyer_landing_page_pro_request_btn();
                    ?>
				</div>
			</div>
		</div>
	</div>
    
    <div class="sticky-holder"></div>
    
	<div class="header-b">
		<div class="container">
			<?php lawyer_landing_page_pro_primary_nav(); ?>
		</div>
	</div>
</header>