<?php
/**
 * Header Three
 * 
 * @package Lawyer_Landing_Page_Pro
*/

$sticky_header = get_theme_mod( 'ed_sticky_header' );
$sticky_class  = $sticky_header ? ' sticky-menu': '';
$ed_banner     = get_theme_mod( 'ed_banner_section', 'static_banner' );

if( $sticky_header && ( ! is_front_page() || $ed_banner == 'no_banner' ) ) echo '<div class="sticky-holder"></div>';
?>

<header class="site-header header-6<?php echo esc_attr( $sticky_class ); ?>" itemscope itemtype="http://schema.org/WPHeader">
	<div class="container">
		<?php 
            lawyer_landing_page_pro_site_branding();
            lawyer_landing_page_pro_primary_nav();
        ?>
	</div>
</header>