<?php
/**
 * Default Options
 *
 * @package Lawyer_Landing_Page_Pro
 */

function lawyer_landing_page_pro_customize_register_general( $wp_customize ) {
	
    $wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
        
    $wp_customize->add_panel( 'general_setting', array(
        'title'      => __( 'General Settings', 'lawyer-landing-page-pro' ),
        'priority'   => 55,
        'capability' => 'edit_theme_options',
    ) );
    
}
add_action( 'customize_register', 'lawyer_landing_page_pro_customize_register_general' );