<?php
/**
 * Function to overwrite Toolkit plugins behavior
 *  
*/

/**
 * Function to wrap icon in icon text widget
*/
function lawyer_landing_page_pro_stat_icon_wrapper_start(){
    ?>
    <div class="table-row"><div class="table-cell">
    <?php
}
add_action( 'widget_stat_counter_before_icon', 'lawyer_landing_page_pro_stat_icon_wrapper_start' );

/**
 * Function to wrap icon in icon text widget
*/
function lawyer_landing_page_pro_stat_icon_wrapper_end(){
    ?>
    </div></div>
    <?php
}
add_action( 'widget_stat_counter_after_icon', 'lawyer_landing_page_pro_stat_icon_wrapper_end' );

/**
 * Function for changing image size in icon text widget
*/
function lawyer_landing_page_pro_stat_image_size(){
    return 'thumbnail';
}
add_filter( 'icon_img_size', 'lawyer_landing_page_pro_stat_image_size' );

/**
 * Function for changing image size in author bio and featured post widget 
*/
function lawyer_landing_page_pro_author_bio_img_size(){
    return 'lawyer-landing-page-team';
}
add_filter( 'author_bio_img_size', 'lawyer_landing_page_pro_author_bio_img_size' );
add_filter( 'featured_img_size', 'lawyer_landing_page_pro_author_bio_img_size' );

/**
 * Function to exclude category in author post, recent post and popular post widget
*/
function lawyer_landing_page_pro_exclude_cat_widget(){
    return $cat = get_theme_mod( 'exclude_categories' );
}
add_filter( 'rttk_pro_exclude_categories', 'lawyer_landing_page_pro_exclude_cat_widget' );
