<?php
/**
 * Client Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */

$section_page = get_theme_mod( 'client_section_page' );
$client_cat   = get_theme_mod( 'home_logo_cat' );
$demo_content = get_theme_mod( 'ed_demo', '1' ); 

if( $section_page || $client_cat || $demo_content ){
?>

<section id="client_section" class="clients">
	<div class="container">
		<?php
            if( $section_page ){
                lawyer_landing_page_pro_get_section_header( $section_page );
            }elseif( $demo_content ){
                lawyer_landing_page_pro_demo_content( 'client', true );
            }
            
            if( is_rara_toolkit_activated() && $client_cat ){
                lawyer_landing_page_pro_get_clients( $client_cat );    
            }elseif( $demo_content ){
                lawyer_landing_page_pro_demo_content( 'client' );
            } 
        ?>
	</div>
</section>

<?php
}