<?php  
/**
 * Contact Section.
 *
 * @package Lawyer_Landing_Page_Pro
 */
    
$section_page  = get_theme_mod( 'contact_section_page' );
$contact_form  = get_theme_mod( 'contact_section_form' );
$ed_google_map = get_theme_mod( 'ed_google_map_section', '1' );
$demo_content  = get_theme_mod( 'ed_demo', '1' );


if( $section_page || $demo_content || $contact_form || $ed_google_map ){      
?>

<section id="contact_section" class="contact">
    <div class="container">
            
        <?php
            if( $section_page ){
                lawyer_landing_page_pro_get_section_header( $section_page );    
            }elseif( $demo_content ){
                //Demo Content
                lawyer_landing_page_pro_demo_content( 'contact', true ); 
            }
        ?>
        
        <?php if( $ed_google_map || $contact_form ){ ?>
        <div class="row">
            <?php if( $ed_google_map ){ ?>
            <div class="col">
                <div id="map" class="map-holder"></div>
            </div>
            <?php } ?>
            
            <?php if( $contact_form || $demo_content ){ ?>
                <div class="col">
                <?php 
                    if( $contact_form ){ 
                        $form = get_post( $contact_form );
                        echo wpautop( apply_filters( 'the_content', $form->post_content ) );                
                    }elseif( $demo_content ){
                        //Demo Content
                        lawyer_landing_page_pro_demo_content( 'contact' ); 
                    }
                ?>
                </div>
            <?php } ?>
            
        </div>
        <?php } ?>
    </div>
</section>

<?php
}