<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Lawyer_Landing_Page_Pro
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php
    		while ( have_posts() ) : the_post();
    
    			get_template_part( 'template-parts/content', 'single' );
    
    			/**
                 * After post content
                 * 
                 * @hooked lawyer_landing_page_pro_post_author  - 20 
                 * @hooked lawyer_landing_page_pro_related_post - 30
                */
                do_action( 'lawyer_landing_page_pro_after_post_content' );
                
                lawyer_landing_page_pro_pagination(); //Pagination
    
    			/**
                 * Comments
                 * 
                 * @hooked lawyer_landing_page_pro_get_comment_section 
                */
                do_action( 'lawyer_landing_page_pro_comment' );   
    
    		endwhile; // End of the loop.
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_sidebar();
get_footer();
