<?php
global $post;
$rttk_setting = get_post_meta( $post->ID, '_rttk_setting', true );
  /**
    * Get testimonial post type fields
    *
    * @return array of default fields
    */
    function rttk_get_testimonial_fields_array() {

        $fields = array(
            'position' => 
                    array( 
                        'name'          =>'Position',
                        'key'           =>'position',
                        'class'         =>'',    
                        'id'            =>'position',
                        'type'          =>'text'
                        ),
            'company' => 
                    array( 
                        'name'          =>'Company',
                        'key'           =>'company',
                        'class'         =>'',    
                        'id'            =>'company',
                        'type'          =>'text'
                        ),
            );
        $field = apply_filters( 'rttk_get_testimonial_fields_array', array() );
        $fields = array_merge( $fields,$field );
        return $fields;
    }

    $testimonial_fields = rttk_get_testimonial_fields_array();
    $remove_keys = apply_filters('remove_testimonial_template_key',array());
	foreach ($testimonial_fields as $key => $value) { 
        if (!in_array($key,$remove_keys)) {
        ?>
        <div class="testimonial-info">
            <label for="<?php echo $key;?>"><?php _e($value['name'].':','rara-theme-toolkit-pro');?></label>
            <input type="<?php echo $value['type'];?>" class="<?php echo $value['class'];?>" name="rttk_setting[testimonial][<?php echo $key;?>]" id="<?php echo $value['id'];?>" value="<?php echo isset($rttk_setting['testimonial'][$key]) ? esc_attr($rttk_setting['testimonial'][$key]): ''; ?>">
        </div>
    <?php
        }
    }